RedRavenApi reference

Save test attack methods

Persist technique IDs plus warm-up turns and attempts (2–5) for this test.

PATCH
/tests/{test_id}/attack-methods

Persist technique IDs plus warm-up turns and attempts (2–5) for this test.

Authorization

ApiKeyAuth OrganizationId
X-API-Key<token>

Your RedRaven API key.

In: header

X-Organization-Id<token>

RedRaven organization UUID that scopes the API key.

In: header

Path Parameters

test_id*string

RedRaven test UUID.

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://example.com/tests/497f6eca-6276-4993-bfeb-53cbbbba6f08/attack-methods" \  -H "Content-Type: application/json" \  -d '{    "technique_ids": [      "string"    ],    "dimension2": {}  }'
{  "technique_ids": [    "string"  ],  "dimension2": {    "warm_up_turns": 1,    "attempts": 3  }}
Empty